Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class RetainedEvent

    java.lang.Object
      oracle.ifs.common.RetainedEvent

Direct Known Subclasses:
  MiscOperations.TradeAlertRetainedEvent

    public abstract class RetainedEvent

extends java.lang.Object

A RetainedEvent contains information used to store and retrieve messages used as notifications to and from external systems or processes, or for asynchronous processing in an agent.

(Unpublished)

Field Summary
`protected AttributeValue[]` | `m_Values` The set of values for this RetainedEvent.

Constructor Summary
`RetainedEvent()`

Method Summary
`abstract RetainedEvent[]` | `constructArray(int size)` Construct an array of the specified size and of the correct type
`abstract RetainedEvent` | `constructInstance()` Construct a new unpopulated instance, of the correct type.
`void` | `createDatabaseObjects(LibrarySessionInterface session)` Create the database objects associated with the retained event type.
`void` | `delete(LibrarySessionInterface session)` Delete a RetainedEvent.
`void` | `dropDatabaseObjects(LibrarySessionInterface session)` Drop the database objects associated with the retained event type.
`java.lang.String` | `getCreateSequenceStatementSql()` Get the SQL statement string used to create the Retained event sequence
`java.lang.String` | `getCreateTableStatementSql()` Get the SQL statement string used to create the Retained event table
`java.lang.String` | `getDeleteStatementKey()` Get the statement key used for a delete
`java.lang.String` | `getDeleteStatementSql()` get the SQL statement string used for a delete
`java.lang.String` | `getDropSequenceStatementSql()` Get the SQL statement string used to drop the Retained event sequence
`java.lang.String` | `getDropTableStatementSql()` Get the SQL statement string used to drop the Retained event table
`java.lang.Long` | `getId()` Gets the id of the event
`java.lang.String` | `getInsertStatementKey()` Get the statement key used for an insert
`java.lang.String` | `getInsertStatementSql()` get the SQL statement string used for an insert
`protected abstract RetainedEventDescriptor[]` | `getRetainedEventDescriptors()` Get name/type descriptors that define the payload for this retained event.
`java.lang.String` | `getSelectStatementKey()` get the statement key used for a select
`java.lang.String` | `getSelectStatementSql()` get the SQL statement string used for a select
`abstract java.lang.String` | `getSequenceName()` Get sequence name used by this specific type of retained event.
`abstract java.lang.String` | `getTableName()` Get table name used to store the specific type of retained event.
`AttributeValue[]` | `getValues()` Gets the column values for this instance
`void` | `insert(LibrarySessionInterface session)` Insert a RetainedEvent.
`RetainedEvent[]` | `select(LibrarySessionInterface session, int maxItems)` Select a set of RetainedEvents.
`protected void` | `setValues(AttributeValue[] values)` Set the values for this instance.
`java.lang.String` | `toString()` Convert to String representation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### m_Values

    protected AttributeValue[] m_Values

  Description copied from class: `RetainedEvent`
  The set of values for this RetainedEvent.

  Set when a RetainedEvent is constructed with the payload, and when constructed as a result of selecting the RetainedEvent from the database.

  (Unpublished)

Constructor Detail

### RetainedEvent

    public RetainedEvent()

Method Detail

### getId

    public final java.lang.Long getId()

  Description copied from class: `RetainedEvent`
  Gets the id of the event

  Returns:
    the id
  (Published)

### toString

    public java.lang.String toString()

  Description copied from class: `RetainedEvent`
  Convert to String representation.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the String representation of this event
  (Published)

### getValues

    public final AttributeValue[] getValues()
                                     throws IfsException

  Description copied from class: `RetainedEvent`
  Gets the column values for this instance

  Returns:
    the values
  Throws:
    `IfsException`
  (Published)

### getTableName

    public abstract java.lang.String getTableName()

  Description copied from class: `RetainedEvent`
  Get table name used to store the specific type of retained event.

  Returns:
    the table name
  (Published)

### getSequenceName

    public abstract java.lang.String getSequenceName()

  Description copied from class: `RetainedEvent`
  Get sequence name used by this specific type of retained event.

  Returns:
    the sequence name
  (Published)

### getRetainedEventDescriptors

    protected abstract RetainedEventDescriptor[] getRetainedEventDescriptors()

  Description copied from class: `RetainedEvent`
  Get name/type descriptors that define the payload for this retained event.

  Returns:
    the name/type descriptors
  (Published)

### constructInstance

    public abstract RetainedEvent constructInstance()

  Description copied from class: `RetainedEvent`
  Construct a new unpopulated instance, of the correct type.

  Returns:
    the new instance
  (Published)

### constructArray

    public abstract RetainedEvent[] constructArray(int size)

  Description copied from class: `RetainedEvent`
  Construct an array of the specified size and of the correct type

  Returns:
    the new array
  (Published)

### setValues

    protected void setValues(AttributeValue[] values)
                      throws IfsException

  Description copied from class: `RetainedEvent`
  Set the values for this instance.

  This is invoked either when a RetainedEvent is constructed with the entire event payload specified (when posting the event), or when an event is selected from the database.

  Parameters:
    `values` - the event payload, ordered according to the column order established by the subclass
  Throws:
    `IfsException` - if operation fails.
  (Published)

### createDatabaseObjects

    public void createDatabaseObjects(LibrarySessionInterface session)
                               throws IfsException

  Description copied from class: `RetainedEvent`
  Create the database objects associated with the retained event type.

  The session must be in admin mode to perform this operation. If the session context specified is a LibrarySession, the request is sent server side.

  Parameters:
    `session` - session context
  Throws:
    `IfsException`
  (Unpublished)

### dropDatabaseObjects

    public void dropDatabaseObjects(LibrarySessionInterface session)
                             throws IfsException

  Description copied from class: `RetainedEvent`
  Drop the database objects associated with the retained event type.

  The session must be in admin mode to perform this operation. If the session context specified is a LibrarySession, the request is sent server side.

  Parameters:
    `session` - session context
  Throws:
    `IfsException`
  (Unpublished)

### insert

    public void insert(LibrarySessionInterface session)
                throws IfsException

  Description copied from class: `RetainedEvent`
  Insert a RetainedEvent.

  If the session context specified is a LibrarySession, the request is sent server side.

  Parameters:
    `session` - session context
  Throws:
    `IfsException`
  (Unpublished)

### delete

    public void delete(LibrarySessionInterface session)
                throws IfsException

  Description copied from class: `RetainedEvent`
  Delete a RetainedEvent.

  If the session context specified is a LibrarySession, the request is sent server side.

  Parameters:
    `session` - session context
  Throws:
    `IfsException`
  (Unpublished)

### select

    public RetainedEvent[] select(LibrarySessionInterface session,
                                  int maxItems)
                           throws IfsException

  Description copied from class: `RetainedEvent`
  Select a set of RetainedEvents.

  If the session context specified is a LibrarySession, the request is sent server side.

  Parameters:
    `session` - session context
    `maxItems` - max number of items to select
  Returns:
    the set of RetainedEvents
  Throws:
    `IfsException`
  (Unpublished)

### getInsertStatementKey

    public java.lang.String getInsertStatementKey()

  Description copied from class: `RetainedEvent`
  Get the statement key used for an insert

  Returns:
    statement key
  (Unpublished)

### getSelectStatementKey

    public java.lang.String getSelectStatementKey()

  Description copied from class: `RetainedEvent`
  get the statement key used for a select

  Returns:
    statement key
  (Unpublished)

### getDeleteStatementKey

    public java.lang.String getDeleteStatementKey()

  Description copied from class: `RetainedEvent`
  Get the statement key used for a delete

  Returns:
    statement key
  (Unpublished)

### getInsertStatementSql

    public java.lang.String getInsertStatementSql()

  Description copied from class: `RetainedEvent`
  get the SQL statement string used for an insert

  Returns:
    statement string
  (Unpublished)

### getDeleteStatementSql

    public java.lang.String getDeleteStatementSql()

  Description copied from class: `RetainedEvent`
  get the SQL statement string used for a delete

  Returns:
    statement string
  (Unpublished)

### getSelectStatementSql

    public java.lang.String getSelectStatementSql()

  Description copied from class: `RetainedEvent`
  get the SQL statement string used for a select

  Returns:
    statement string
  (Unpublished)

### getCreateTableStatementSql

    public java.lang.String getCreateTableStatementSql()
                                                throws IfsException

  Description copied from class: `RetainedEvent`
  Get the SQL statement string used to create the Retained event table

  Returns:
    statement string
  Throws:
    `IfsException`
  (Published)

### getCreateSequenceStatementSql

    public java.lang.String getCreateSequenceStatementSql()

  Description copied from class: `RetainedEvent`
  Get the SQL statement string used to create the Retained event sequence

  Returns:
    statement string
  (Published)

### getDropTableStatementSql

    public java.lang.String getDropTableStatementSql()

  Description copied from class: `RetainedEvent`
  Get the SQL statement string used to drop the Retained event table

  Returns:
    statement string
  (Published)

### getDropSequenceStatementSql

    public java.lang.String getDropSequenceStatementSql()

  Description copied from class: `RetainedEvent`
  Get the SQL statement string used to drop the Retained event sequence

  Returns:
    statement string
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD